org.springframework.beans.factory.parsing

## Interface ProblemReporter

All Known Implementing Classes:
  FailFastProblemReporter

    public interface ProblemReporter

SPI interface allowing tools and other external processes to handle errors and warnings reported during bean definition parsing.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  `Problem`

### Method Summary

Methods
`void` `error(Problem problem)` Called when an error is encountered during the parsing process.
`void` `fatal(Problem problem)` Called when a fatal error is encountered during the parsing process.
`void` `warning(Problem problem)` Called when a warning is raised during the parsing process.

### Method Detail

#### fatal

    void fatal(Problem problem)

Called when a fatal error is encountered during the parsing process.

Implementations must treat the given problem as fatal, i.e. they have to eventually raise an exception.

Parameters:
  `problem` - the source of the error (never `null`)

#### error

    void error(Problem problem)

Called when an error is encountered during the parsing process.

Implementations may choose to treat errors as fatal.

Parameters:
  `problem` - the source of the error (never `null`)

#### warning

    void warning(Problem problem)

Called when a warning is raised during the parsing process.

Warnings are never considered to be fatal.

Parameters:
  `problem` - the source of the warning (never `null`)